Subject: Re: file event in perl-Tk on cygwin (using POE)
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 8 Jun 2003 22:59:32 +0200

Hallo Bob,

[...]

> What happens there is that a sub FILENO:

>         sub FILENO
>         {
>          my $obj = shift;
>          my $h = $obj->handle;
>          return fileno($h);
>         }

> the final call to fileno actually goes straight
> back into FILENO. [I tried putting CORE:: in front
> but that made no difference]. So it looks like
> $obj->handle returns $obj instead of something
> more basic. I've tried both win32 and x11 versions
> of Tk800.023-1 which seems to be the last cygwin
> compatible version.

[...]

> So I guess my questions are:

> 1. Will I do better with other versions of cygwin,
>    perl, perl-Tk, POE?

> 2. Any suggestions for fixes?

Is there a sub fileno and a sub FILENO?

> 3. Any suggestions for workarounds?

Try to rename fileno() or FILENO() to s.th different.

> 4. Any suggestions for where to look to try to fix it?

See 3.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/